<template>
	<span class="user-name">{{ userName }}</span>
	<div v-if="schoolName&&showSchoolName" class="user-name">{{ schoolName }}</div>
</template>

<script setup lang="ts">
import { computed } from "vue";
import { useStore } from "vuex";
const store = useStore();
const userName = computed(() => store.getters.getUserData.nickname);
const schoolName = computed(() => store.getters.getUserData.schoolName);
const props = defineProps({
  showSchoolName:Boolean
})
</script>

<style scoped></style>
